---
title: '`glab gpg-key add`'
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Add a GPG key to your GitLab account.

## Synopsis

Creates a new GPG key owned by the currently authenticated user.

```plaintext
glab gpg-key add [key-file] [flags]
```

## Examples

```console
# Read GPG key from stdin and upload.
glab gpg-key add

# Read GPG key from specified key file and upload.
glab gpg-key add ~/.gnupg/pubkey.asc
```

## Options inherited from parent commands

```plaintext
  -h, --help              Show help for this command.
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```
